Bug 176813

Summary: [MAINTAINER-UPDATE] from ww/privoxy 3.0.19 to 3.0.21
Product: Ports & Packages Reporter: Fabian Keil <fk>
Component: Individual Port(s)Assignee: Martin Wilke <miwi>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.txt none

Description Fabian Keil 2013-03-10 14:30:00 UTC
The attached patch updates www/privoxy from 3.0.19 to 3.0.21.

3.0.20 was a beta version.

The upstream changes include two security fixes and a workaround
for standards/173421. The complete ChangeLog is available at:
http://www.privoxy.org/announce.txt

The port-specific changes are:

- Convert to the "new" OPTIONS framework (not using the
  standard DOCS_DESC is intentional).
- Delete the old-school pkg-install and use USERS and GROUPS instead.
- Sync pkg-descr with the upstream description.
- Convert the Makefile header.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2013-03-11 13:05:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2013-03-14 05:55:59 UTC
State Changed
From-To: open->feedback

Makefile rejected: 

Hunk #6 succeeded at 137.  1 out of 6 hunks failed--saving rejects to 
Makefile.rej Hmm...  The next patch looks like a unified diff to me...
Comment 3 dfilter service freebsd_committer 2013-03-14 13:31:38 UTC
Author: miwi
Date: Thu Mar 14 13:31:24 2013
New Revision: 314158
URL: http://svnweb.freebsd.org/changeset/ports/314158

Log:
  - Update to 3.0.21
  
  PR:		176813
  Submitted by:	Fabian Keil <fk@fabiankeil.de> (maintainer)

Deleted:
  head/www/privoxy/pkg-install
Modified:
  head/www/privoxy/Makefile   (contents, props changed)
  head/www/privoxy/distinfo   (contents, props changed)
  head/www/privoxy/pkg-descr   (contents, props changed)

Modified: head/www/privoxy/Makefile
==============================================================================
--- head/www/privoxy/Makefile	Thu Mar 14 13:28:31 2013	(r314157)
+++ head/www/privoxy/Makefile	Thu Mar 14 13:31:24 2013	(r314158)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	privoxy
-# Date created:				21 November 2002
-# Whom:					John von Essen
-#
+# Created by: John von Essen
 # $FreeBSD$
-#
 
 PORTNAME=	privoxy
-PORTVERSION=	3.0.19
-PORTREVISION=	1
+PORTVERSION=	3.0.21
 CATEGORIES=	www ipv6
 MASTER_SITES=	SF/ijbswa/Sources/${PORTVERSION}%20%28stable%29
 DISTNAME=	privoxy-${PORTVERSION}-stable-src
@@ -33,44 +28,57 @@ CONFLICTS=	privoxy-devel-[0-9]*
 
 MAN1=		privoxy.1
 
+USERS=		privoxy
+GROUPS=		privoxy
+
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-OPTIONS=	ACCEPT_FILTER "Enable support for accf_http(9)" Off \
-		COMPRESSION "Support compression of buffered content" Off \
-		DEBUG "Build with debugging symbols" Off \
-		EDITOR "Support use of the web-based action editor" On \
-		FORCE "Support bypassing of blocks" On \
-		PRIVOXY_TOOLS "Install Privoxy-Log-Parser, uagen, etc." Off \
-		TOGGLE "Support for remote toggling" On
+OPTIONS_DEFINE=	ACCEPT_FILTER BROKEN_STRPTIME COMPRESSION DEBUG \
+		DOCS EDITOR FORCE PRIVOXY_TOOLS TOGGLE
+
+ACCEPT_FILTER_DESC=	Support for accf_http(9)
+BROKEN_STRPTIME_DESC=	Enable workaround for standards/173421
+COMPRESSION_DESC=	Support compression of buffered content
+DOCS_DESC=		Let Privoxy serve the user manual
+EDITOR_DESC=		Support use of the web-based action editor
+FORCE_DESC=		Support bypassing of blocks
+PRIVOXY_TOOLS_DESC=	Install Privoxy-Log-Parser, uagen, etc.
+TOGGLE_DESC=		Support for remote toggling
+
+OPTIONS_DEFAULT=	BROKEN_STRPTIME EDITOR DOCS FORCE TOGGLE
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
-.if defined(WITH_ACCEPT_FILTER)
+.if ${PORT_OPTIONS:MACCEPT_FILTER}
 CONFIGURE_ARGS+=	 --enable-accept-filter
 .endif
 
-.if defined(WITH_COMPRESSION)
+.if ${PORT_OPTIONS:MCOMPRESSION}
 CONFIGURE_ARGS+=	 --enable-compression
 .endif
 
-.if defined(WITH_DEBUG)
+.if ${PORT_OPTIONS:MDEBUG}
 CONFIGURE_ARGS+=	--with-debug
 .endif
 
-.if defined(WITHOUT_EDITOR)
+.if ! ${PORT_OPTIONS:MEDITOR}
 CONFIGURE_ARGS+=	--disable-editor
 .endif
 
-.if defined(WITHOUT_FORCE)
+.if ! ${PORT_OPTIONS:MFORCE}
 CONFIGURE_ARGS+=	--disable-force
 .endif
 
-.if defined(WITHOUT_TOGGLE)
+.if ${PORT_OPTIONS:MBROKEN_STRPTIME}
+CONFIGURE_ARGS+=	--enable-strptime-sanity-checks
+.endif
+
+.if ! ${PORT_OPTIONS:MTOGGLE}
 CONFIGURE_ARGS+=	--disable-toggle
 .endif
 
-.if defined(WITH_PRIVOXY_TOOLS)
+.if ${PORT_OPTIONS:MPRIVOXY_TOOLS}
 USE_PERL5_RUN=	yes
 RUN_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
 PLIST_SUB+=	PRIVOXY_TOOLS=""
@@ -85,7 +93,7 @@ post-patch:
 		-e 's,^\(actionsfile user\),#\1,' \
 		-e 's,^\(filterfile user\),#\1,' \
 	${WRKSRC}/config
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${REINPLACE_CMD} \
 		-e 's,^#\(user-manual\) http://www.privoxy.org/user-manual/,\1 ${DOCSDIR}/user-manual,' \
 	${WRKSRC}/config
@@ -96,15 +104,11 @@ post-patch:
 pre-configure:
 	@cd ${WRKSRC}; ${AUTOHEADER}
 
-pre-su-install:
-	@${SETENV} PKG_PREFIX=${PREFIX} ${SH} \
-		${PKGINSTALL} ${PKGNAME} PRE-INSTALL
-
 do-install:
 	@${MKDIR} ${PREFIX}/etc/privoxy/templates
 	@${INSTALL_PROGRAM} ${WRKSRC}/privoxy ${PREFIX}/sbin
 	@${INSTALL_DATA} ${WRKSRC}/templates/[a-z]* ${PREFIX}/etc/privoxy/templates
-.if defined(WITH_PRIVOXY_TOOLS)
+.if ${PORT_OPTIONS:MPRIVOXY_TOOLS}
 .for privoxy_tool in privoxy-log-parser.pl privoxy-regression-test.pl uagen.pl
 	@${INSTALL_SCRIPT} ${WRKSRC}/tools/${privoxy_tool} ${PREFIX}/bin
 .endfor
@@ -121,7 +125,7 @@ do-install:
 	@${CHMOD} 0640 ${EXAMPLESDIR}/${examplefile}
 .endfor
 	@${INSTALL_MAN}  ${WRKSRC}/privoxy.1 ${MANPREFIX}/man/man1
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}/user-manual
 	@${INSTALL_DATA} ${WRKSRC}/doc/webserver/user-manual/[a-z]* ${DOCSDIR}/user-manual
 	@${INSTALL_DATA} ${WRKSRC}/doc/webserver/p_doc.css ${DOCSDIR}/user-manual
@@ -133,4 +137,4 @@ post-install:
 	@${CHMOD} 0750 /var/run/privoxy
 	@${CAT} ${PKGMESSAGE}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/www/privoxy/distinfo
==============================================================================
--- head/www/privoxy/distinfo	Thu Mar 14 13:28:31 2013	(r314157)
+++ head/www/privoxy/distinfo	Thu Mar 14 13:31:24 2013	(r314158)
@@ -1,2 +1,2 @@
-SHA256 (privoxy-3.0.19-stable-src.tar.gz) = 816e627b31caa3d9e71d0a8b83ac9ea7dcbeaaafef3c9a9c792696aa56255232
-SIZE (privoxy-3.0.19-stable-src.tar.gz) = 1722316
+SHA256 (privoxy-3.0.21-stable-src.tar.gz) = 5ec7e601948d2bd0ebf0ebe90eed7d49e7663c395ce16d0403e91ea2d459ddb8
+SIZE (privoxy-3.0.21-stable-src.tar.gz) = 1733120

Modified: head/www/privoxy/pkg-descr
==============================================================================
--- head/www/privoxy/pkg-descr	Thu Mar 14 13:28:31 2013	(r314157)
+++ head/www/privoxy/pkg-descr	Thu Mar 14 13:31:24 2013	(r314158)
@@ -2,6 +2,7 @@ Privoxy is a non-caching web proxy with 
 enhancing privacy, modifying web page data and HTTP headers, controlling
 access, and removing ads and other obnoxious Internet junk. Privoxy has a
 flexible configuration and can be customized to suit individual needs and
-tastes. It may be used in both stand-alone systems and multi-user networks.
+tastes. It has application for both stand-alone systems and multi-user
+networks.
 
 WWW: http://www.privoxy.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2013-03-14 13:31:42 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!